.blog_home_newsletter_container {
  padding: 2rem 1rem;
  margin: 2rem 0;
  width: 100%;
  background-color: var(--gray-light-2, #f2f2f2);
  font-family: var(--font-family-1, --font-family-1);
}
.blog_home_newsletter__title {
  font-size: 1.125rem;
  font-weight: 700;
  line-height: 1.625rem;
  text-align: center;
  text-transform: uppercase;
}

/* Form */
.blog_home_newsletter__form {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 1.75rem;
  padding: 2.5rem 0 0;
}
.blog_home_newsletter__form__input_text:focus,
.blog_home_newsletter__form__input_text:focus-within,
.blog_home_newsletter__form__input_text:target,
.blog_home_newsletter__form__input_text:visited,
.blog_home_newsletter__form__input_text {
  padding: 0.625rem 0.75rem;
  width: 100%;
  font-size: 1rem;
  border: none;
  border-bottom: 1px solid var(--gray-dark-1, #414141);
  background: transparent;
  outline: none;
  transition: all 0.6s linear;
}
.blog_home_newsletter__form__input_text:active,
.blog_home_newsletter__form__input_text:hover {
  border-bottom-color: var(--brand, #414141);
  box-shadow: 0 1px 0 0 transparent, 0 1px 0 0 var(--brand, #414141);
}
.blog_home_newsletter__form__group_checkbox {
  display: flex;
  justify-content: space-between;
  gap: 0.75rem;
}

.blog_home_newsletter__form__group_checkbox__input {
  position: relative;
  width: 1.5rem;
  height: 1.5rem;
  border: 2px solid var(--gray-dark-1, #414141);
  background: var(--brand);
}
.blog_home_newsletter__form__group_checkbox__label {
  font-size: 1rem;
  line-height: 1.375rem;
  color: var(--gray-dark-1, #414141);
}
.blog_home_newsletter__form__submit:disabled,
.blog_home_newsletter__form__submit {
    width: 100%;
    padding: 0.8125rem 0;
    border: none;
    background: var(--brand-gray);
    color: var(--brand-white, #fff);
    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 1px;
}
.blog_home_newsletter__form__submit:active,
.blog_home_newsletter__form__submit.active, 
.blog_home_newsletter__form__submit {
  background-color: var(--brand);
}

.blog_home_newsletter__message_success,
.blog_home_newsletter__message_error {
    color: var(--alert-success-email, #318234);
    padding: 1rem 0;
    font-size: 1rem;
    font-weight: 700;
}
.blog_home_newsletter__message_error {
    color: var(--alert-error-main, #D32F2F);
}

/* 
* Custom Checkbox
*/
.checkbox_input {
  display: none;
}
.checkbox_input + .checkbox_input__label {
  position: relative;
  display: flex;
  cursor: pointer;
}
.checkbox_input + .checkbox_input__label .checkbox_input__label__icon_box {
    position: relative;
    width: 1.375rem;
    height: 1.375rem;
    padding-left: 2.125rem;
}
.checkbox_input + .checkbox_input__label .checkbox_input__label__icon_box:before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 1.375rem;
  height: 1.375rem;
  border: 2px solid #414141;
  border-radius: 2px;
  background-color: transparent;
  transition: all 0.6s;
}

.checkbox_input:checked + .checkbox_input__label .checkbox_input__label__icon_box:before {
  background-color: var(--brand);
  border: 2px solid var(--brand);
}

.checkbox_input + .checkbox_input__label .checkbox_input__label__icon_box:after {
  content: "✔";
  font-size: 1.2rem;
  color: var(--brand-white);
  position: absolute;
  top: calc(50% + 0.05rem);
  left: calc(50% - 0.4rem);
  transform: translate(-50%, -50%);
  opacity: 0;
}

.checkbox_input:checked + .checkbox_input__label .checkbox_input__label__icon_box:after {
  opacity: 1;
}

.error-message {
  text-align: end;
  color: var(--alert-error-main);
  font-size:var(--paragraph-4);
  font-weight: var(--weight-bold);
  margin-top: calc(var(--title-5) * -1);
}

.blog_home_newsletter_thankyou_title, 
.blog_home_newsletter_error_title {
  font-weight: var(--weight-bolder);
  font-size: var(--paragraph-1);
  line-height: 26px;
  color: var(--brand-black);
  text-transform: uppercase;
}

.blog_home_newsletter_thankyou_subtitle,
.blog_home_newsletter_error_subtitle {
  font-weight: var(--weight-normal);
  font-size: var(--paragraph-3);
  line-height: var(--title-6);
  color: var(--gray-dark-1);
}

.blog_home_newsletter_thankyou_subcontainer,
.blog_home_newsletter_error_subcontainer {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: var(--paragraph-2);
}

.fade-enter {
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
}

.fade-enter-active {
  opacity: 1;
}

.fade-exit {
  opacity: 1;
  transition: opacity 0.5s ease-in-out;
}

.fade-exit-active {
  opacity: 0;
}


/* 
* Medias
*/
@media (min-width: 500px) {
}
@media (min-width: 537px) {
}
@media (min-width: 768px) {
}
@media (min-width: 1366px) {
  .blog_home_newsletter__title {
    font-size: 1.5rem;
    line-height: 2.125rem;
  }
  .blog_home_newsletter_container {
    padding: 2rem 1.25rem;
  }
}
@media (min-width: 1920px) {
  .blog_home_newsletter_container {
    padding: 2rem;
  }
}
